{% load static %}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Laporan Data Pertanian</title>

    <style>
        body {
            font-family: Arial, sans-serif;
        }
        #header {
            text-align: center;
        }
        #logo-container {
            display: flex;
            align-items: center;
            justify-content: center;
        }
        #logo {
            max-width: 90px;
            max-height: 90px;
            margin-right: 20px;
        }
        #text-container {
            text-align: center;
            margin-bottom: 20px;
        }
        #text-container h3,
        #text-container h1,
        #text-container p {
            margin: 5px 0;
        }
        #address {
            text-align: center;
        }
        #divider {
            width: 100%;
            border-top: 1px solid #000;
            /* margin-top: 20px; */
            /* margin-bottom: 20px; */
        }
        hr {
            border: none;
            border-top: 5px solid #000; /* Warna dan ketebalan garis dapat disesuaikan */
            /* Atur spasi atas dan bawah garis */
        }
        table {
            border-collapse: collapse;
            width: 100%;
        }
    
        th, td {
            border: 1px solid black;
            padding: 8px;
            text-align: left;
        }
    
        th {
            background-color: #f2f2f2;
        }
    
        th:first-child,
        th:nth-child(2),
        th[colspan="2"],
        th:nth-last-child(2),
        th:last-child,
        th:nth-child(5),
        th:nth-child(6) {
            text-align: center;
        }
    
        .sign-box {
            width: 48%;
            padding: 10px;
            margin-top: 20px;
            display: inline-block;
            vertical-align: top;
            text-align: center;
            border: 1px solid black;
            box-sizing: border-box;
            text-align: left;
        }
    
        .row {
            width: 100%;
        }
        .nonLine {
            border-collapse: collapse;
            width: 100%;
            border: none;
        }
        h3 {
            font-family: 'Times New Roman', Times, serif;
        }
        h1 {
            font-family: 'Times New Roman', Times, serif;
        }
        p {
            font-family: 'Times New Roman', Times, serif;
        }
    </style>
</head>

<body onload="window.print()">
    <div id="header">
        <div id="logo-container">
            <img id="logo" src="{% static 'admin/images/logo-supiori.png' %}" alt="Logo">
            <div id="text-container">
                <h3>PEMERINTAH KABUPATEN SUPIORI</h3>
                <h1>SEKRETARIAT DAERAH</h1>
                <p>Jl. Raya Sorendiweri, Distrik Supiori Timur- Kabupaten Supiori-Provinsi Papua</p>
            </div>
        </div>
    </div>

    <div id="divider"></div>
    <hr> <!-- Garis tambahan setelah kop -->
    <center>
        <h2>Laporan Data Pertanian</h2>
    </center>
    <!-- Konten lainnya -->
    <table class="table table-striped table-bordered dt-responsive" id="table-list">
        <thead class="bg-primary text-white">
            <tr>
                <th rowspan="2">No</th>
                <th rowspan="2">Tahun</th>
                <th rowspan="2">Wilayah</th>
                <th colspan="7">Uraian Ternak</th>
            </tr>
            <tr>
                <th>Jumlah Ternak Ayam </th>
                <th>Jumlah Ternak Babi</th>
                <th>Jumlah Ternak Sapi</th>
                <th>Jumlah Ternak Kambing</th>
                <th>Jumlah Ternak Bebek</th>
                <th>Jumlah Ternak Kelinci</th>
                <th>Luas Lahan </th>
            </tr>
        </thead>
        <tbody>
            {% for item_pertanian in dt_pertanian %}
                <tr>
                        <td>{{forloop.counter}}</td>
                        <td><span style="font-size: 12px;">{{item_pertanian.tahun}}</span></td>
                        <td class="tdx">{{item_pertanian.kampung.distrik.title}}-{{item_pertanian.kampung.titles}} </td>
                        <td>{{item_pertanian.jml_ayam}}</td>
                        <td> {{item_pertanian.jml_babi}}</td>
                        <td> {{item_pertanian.jml_sapi}}</td>
                        <td> {{item_pertanian.jml_kambing}}</td>
                        <td> {{item_pertanian.jml_bebek}}</td>
                        <td> {{item_pertanian.jml_kelinci}}</td>
                        <td> {{item_pertanian.luas_lahan}}</td>
                </tr>
           {% endfor %}
        </tbody>
    </table>
    <hr>
    <center><h3>Data Pertanian Kelompok Tani</h3></center>
    <table class="table table-striped table-bordered dt-responsive" id="table-list">
        <thead class="bg-primary text-white">
            <tr>
                <th>No</th>
                <th>Tahun</th>
                <th>Wilayah</th>
                <th>Nama Kelompok Tani</th>
                <th>Nama Ketua</th>
                <th>Jumlah Anggota</th>
                <th>Bantuan yang <br> pernah diterima</th>
                <th>Bukti</th>
                
            </tr>
        </thead>
        <tbody>
            {% for item_pertanian in dt_pertanian %}
                {% for item_data_kelompok_tani in dt_kelompok_tani %}
                <tr>
                    <td>{{forloop.counter}}</td>
                    <td>{{item_pertanian.tahun}}</td>
                    <td>{{item_pertanian.kampung.distrik.title}}-{{item_pertanian.kampung.titles}} </td>
                    <td>{{item_data_kelompok_tani.namakelompok}}</td>
                    <td>{{item_data_kelompok_tani.ketua}}</td>
                    <td>{{item_data_kelompok_tani.jml_anggota}} Orang</td>
                    <td>{{item_data_kelompok_tani.bantuan}}</td>
                    <td><img src="{{item_data_kelompok_tani.foto.url}}" width="100"></td>
                </tr>
                {% endfor %}
            {% endfor %}
        </tbody>
    </table>
    <hr>
    <center><h3>Data Komoditas Pertanian</h3></center>
    <table class="table table-striped table-bordered dt-responsive" id="table-list">
        <thead class="bg-info text-white">
            <tr>
                <th scope="col" class="text-center">No</th>
                <th>Tahun</th>
                <th>Wilayah</th>
                <th>Nama Komoditas</th>
                <th>Keterangan</th>
            </tr>
        </thead>
        <tbody>
            {% for item_pertanian in dt_pertanian %}
            {% for dt_item_komoditas in dt_komoditias_tani %}
            <tr>
                <td>{{forloop.counter}}</td>
                <td>{{item_pertanian.tahun}}</td>
                <td>{{item_pertanian.kampung.distrik.title}}-{{item_pertanian.kampung.titles}} </td>
                <td>{{dt_item_komoditas.nama}}</td>
                <td>{{dt_item_komoditas.keterangan}}</td>
               
            </tr>
            {% endfor %}
            {% endfor %}
        </tbody>
    </table>
   
</body>
</html>
